For the complete documentation index, see llms.txt. This page is also available as Markdown.

Billing Plans

List billing plans

get
/billingPlans
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
paymentProviderContractstringRequired

PayPal Payment Provider Contract UUID

productIdstring · min: 6 · max: 50Optional

Filters the response by a Product ID.

idsstring · min: 6 · max: 270Optional

Filters the response by list of plan IDs.

pageSizenumber · min: 1 · max: 20Optional

The number of items to return in the response.

pagenumber · min: 1 · max: 100000Optional

A non-zero integer which is the start index of the entire list of items to return in the response.

totalRequiredbooleanOptional

Indicates whether to show the total count in the response.

Responses
200

Successful

application/json
totalItemsnumberOptional

The total number of items.

totalPagesnumberOptional

The total number of pages.

get
/billingPlans

Activate billing plans

put
/billingPlans/{planId}/activate
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
planIdstringRequired

PayPal billing plan Id

Body
paymentProviderContractstringRequired

PayPal Payment Provider Contract UUID

Responses
put
/billingPlans/{planId}/activate

No content

Deactivate billing plans

put
/billingPlans/{planId}/deactivate
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
planIdstringRequired

PayPal billing plan Id

Body
paymentProviderContractstringRequired

PayPal Payment Provider Contract UUID

Responses
put
/billingPlans/{planId}/deactivate

No content

Get billing plan

get
/billingPlans/{planId}
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
planIdstringRequired

PayPal billing plan Id

Query parameters
paymentProviderContractstringRequired

PayPal Payment Provider Contract UUID

Responses
200

Successful

application/json
idstring · min: 6 · max: 50Optional

Filters the response by a Product ID.

productIdstringRequired

PayPal catalog product id

namestring · max: 127Required

The plan name

statusstring · enumOptional

The initial state of the plan

Possible values:
descriptionstring · max: 127Optional

The detailed description of the plan.

quantitySupportedbooleanOptional

Indicates whether you can subscribe to this plan by providing a quantity for the goods or service.

createTimestring · dateRequired

The date and time when the billing plan was created.

updateTimestring · dateOptional

The date and time when the billing plan was updated.

get
/billingPlans/{planId}

Update billing plans

put
/billingPlans/{planId}
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
planIdstringRequired

PayPal billing plan Id

Body
paymentProviderContractstringRequired

PayPal Payment Provider Contract UUID

descriptionstring · max: 127Optional

The detailed description of the plan.

Responses
put
/billingPlans/{planId}

No content

Create billing plan

post
/billingPlans/create
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Header parameters
x-vfi-api-idempotencyKeystringOptional

A value you specify that uniquely identifies the transaction. If you're unsure whether a particular transaction succeeded, you can reattempt it with the same idempotency key without worrying about duplicating the transaction.

Body
paymentProviderContractstringRequired

PayPal Payment Provider Contract UUID

productIdstringRequired

PayPal catalog product id

namestring · max: 127Required

The plan name

statusstring · enumOptional

The initial state of the plan

Possible values:
descriptionstring · max: 127Optional

The detailed description of the plan.

quantitySupportedbooleanOptional

Indicates whether you can subscribe to this plan by providing a quantity for the goods or service.

Responses
post
/billingPlans/create

Last updated

Was this helpful?